# Twitch and Discord chat bot

The bot listens for responses to `!quote add`, `!quote edit` and `!quote remove` commands, and updates the quotes database accordingly  
using [HTTP API](https://gitea.brno.mraveniste.cc/turbotraktor/ladylilia.com/src/branch/master/api/README.md).

## Supported commands

* `!bellagram`, `!bellapics`, `!instabella`, `!instagram` - posts a link to a random Instagram picture of Bella
* `!yt QUERY` - queries Lady Lilia's Youtube channel and posts a link to the most relevant result  
    - `QUERY` can contain `|` (logical **or**) and `-` (logical **not**) operators, for example: `!yt oblivion -nehrim`
* `!clip PATTERN` - searches for Twitch clips matching `PATTERN` and in case multiple matches are found, returns one of them randomly  
    - `PATTERN` has to be at least 3 characters long and it can be enclosed in double quotes in case it contains spaces

### Twitch-only commands

* `!lastquote` - requests the most recent quote
* `!findquote PATTERN` - searches for quotes matching `PATTERN` and in case multiple matches are found, requests one of them randomly  
    - `PATTERN` has to be at least 3 characters long and it can be enclosed in double quotes in case it contains spaces
* `!syncquotes` - performs synchronization of the quotes database with Twitch VODs
    - only master user is allowed to use this command
